package com.curiam.client;

import com.google.gwt.user.client.rpc.AsyncCallback;
import com.google.gwt.user.client.ui.FileUpload;

/**
 * The async counterpart of <code>GreetingService</code>.
 */
public interface GreetingServiceAsync {
	void greetServer(CaseBeanTPB caseBeanTPB, AsyncCallback<ResultBeanTPB> callback);

	void leerFichero(String ruta, AsyncCallback<String> asyncCallback);

	void guardarEnFichero(String ruta, String ruta2,
			AsyncCallback<Boolean> asyncCallback);

	void subir_img(String filename, String fich2,
			AsyncCallback<Boolean> asyncCallback);
}
